libgpod-cil_0.8.3-13_i386.deb


Advertisement

Description

libgpod-cil - CLI bindings for libgpod

Property Value
Distribution Debian 10 (Buster)
Repository Debian Main i386
Package filename libgpod-cil_0.8.3-13_i386.deb
Package name libgpod-cil
Package version 0.8.3
Package release 13
Package architecture i386
Package type deb
Category cli-mono devel::ecma-cli devel::library role::shared-lib uitoolkit::gtk
Homepage http://www.gtkpod.org/wiki/Libgpod
License -
Maintainer Debian QA Group <packages@qa.debian.org>
Download size 64.53 KB
Installed size 110.00 KB
libgpod is a library meant to abstract access to an iPod's content. It
provides an easy way to use API to retrieve the list of files and
playlist storeed on an iPod, to modify them and to save them back to
the iPod.
This package contains the managed CLI bindings for libgpod, which
are needed to run CLI applications which use this library.

Alternatives

Package Version Architecture Repository
libgpod-cil_0.8.3-13_amd64.deb 0.8.3 amd64 Debian Main
libgpod-cil - - -

Requires

Name Value
libglib2.0-cil >= 2.12.40
libgpod4 >= 0.7.94
libgtk2.0-cil >= 2.12.40
libmono-corlib4.5-cil >= 4.6.1.3
libmono-system-core4.0-cil >= 4.6.1.3

Download

Type URL
Mirror ftp.br.debian.org
Binary Package libgpod-cil_0.8.3-13_i386.deb
Source Package libgpod

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libgpod-cil deb package:
    # sudo apt-get install libgpod-cil

Files

Path
/usr/lib/libgpod/libgpod-sharp.dll
/usr/lib/libgpod/libgpod-sharp.dll.config
/usr/share/doc/libgpod-cil/changelog.Debian.gz
/usr/share/doc/libgpod-cil/changelog.gz
/usr/share/doc/libgpod-cil/copyright

Changelog

2018-09-18 - Boyuan Yang <byang@debian.org>
libgpod (0.8.3-13) unstable; urgency=medium
* QA upload.
* Rebuild against gcc 8.
* debian: Bump debhelper compat to v11.
* debian/control:
+ Remove unnecessary build-dep dh-autoreconf and autotools-dev.
+ Bump Standards-Version to 4.2.1.
+ Update Vcs-* fields and use git repo on Salsa Debian group.
+ Mark libgpod-doc as M-A: foreign as suggested by Multiarch hinter.
* debian/rules: Remove unnecessary dh parameters.
* debian/copyright: Refresh header information.
2018-08-12 - Adrian Bunk <bunk@debian.org>
libgpod (0.8.3-12) unstable; urgency=high
* QA upload.
* python-gpod: Add the missing dependency on python-gobject-2.
(Closes: #896230)
2017-12-04 - Jeremy Bicha <jbicha@debian.org>
libgpod (0.8.3-11) unstable; urgency=medium
* QA upload.
* debian/control: Update according to pkgconfig files
- Have libpod-cil-dev depend on libgtk2.0-cil-dev
- Don't have libgpod-dev depend on libgtk2.0-dev
(Closes: #628194) (LP: #789472)
2017-11-19 - Laurent Bigonville <bigon@debian.org>
libgpod (0.8.3-10) unstable; urgency=medium
* QA upload.
* debian/control: Build-depends against python-gobject-2-dev instead of
python-gobject-dev, the later is a transitional package
2017-09-30 - Adrian Bunk <bunk@debian.org>
libgpod (0.8.3-9) unstable; urgency=medium
* QA upload.
* Set maintainer to Debian QA Group. (see #867215)
* Run gtkdocize to fix FTBFS with gtk-doc-tools 1.26.
(Closes: #876583)
* Remove the transitional packages libgpod-nogtk-dev
and libgpod4-nogtk.
2017-04-07 - Simon McVittie <smcv@debian.org>
libgpod (0.8.3-8.2) unstable; urgency=medium
* Non-maintainer upload.
* Correctly migrate /usr/share/doc/libgpod-nogtk-dev from symlink
to directory. Saving a few KiB by changing it back to a symlink
does not seem worthwhile when this is a transitional package that
can be removed shortly after. (Closes: #859588)
2017-03-31 - Simon McVittie <smcv@debian.org>
libgpod (0.8.3-8.1) unstable; urgency=medium
* Non-maintainer upload.
* Convert "no GTK" packages into transitional packages that depend on
the full version. They were requested in #386715 to avoid a GTK
dependency, but now the only thing they avoid is gdk-pixbuf, and
there is no user of libgpod in Debian that does not already depend
on gdk-pixbuf anyway. The extra complexity caused the binary packages
to be non-reproducible, and sometimes made Recommends uninstallable.
(Closes: 838116)
* Add missing build-dependency on dh-python (for dh_python2)
2016-06-08 - Chow Loong Jin <hyperair@debian.org>
libgpod (0.8.3-8) unstable; urgency=medium
* [1c62c0c] Update -cil binary packages arch list.
Thanks to Logan
2016-04-13 - Chow Loong Jin <hyperair@debian.org>
libgpod (0.8.3-7) unstable; urgency=medium
* [13ef2d0] Add arm64 as a mono arch
2016-04-02 - Chow Loong Jin <hyperair@debian.org>
libgpod (0.8.3-6) unstable; urgency=medium
* [a686468] Revert "Update build-deps to use gtk# and glib# 3"
This reverts commits abca2742ec821f159402bd3850b6366ffa3736ca and
fc821b423c10a69df47cb822d3fa8d9df5acd673, because Banshee in unstable
requires gtk#2 and glib#2.

See Also

Package Description
libgpod-common_0.8.3-13_i386.deb common files for libgpod
libgpod-dev_0.8.3-13_i386.deb development files for libgpod
libgpod-doc_0.8.3-13_all.deb documentation for libgpod
libgpod4_0.8.3-13_i386.deb library to read and write songs and artwork to an iPod
libgportugol-dev_1.1-5_i386.deb Development files for the G-Portugol library
libgportugol0_1.1-5_i386.deb G-Portugol library
libgpr18_2018-6_i386.deb support for programs processing GNAT projects (runtime)
libgpr2-dev_2018-6_i386.deb support for programs processing GNAT projects (development)
libgps-dev_3.17-7_i386.deb Global Positioning System - development files
libgps-point-perl_0.20-2_all.deb module providing an object interface for a GPS point
libgps23_3.17-7_i386.deb Global Positioning System - library
libgpuarray-dev_0.7.6-3_i386.deb development files for libgpuarray
libgpuarray-doc_0.7.6-3_all.deb documentation for libgpuarray
libgpuarray3_0.7.6-3_i386.deb library to manipulate tensors on the GPU
libgradle-core-java_4.4.1-6_all.deb Powerful build system for the JVM - Core libraries
Advertisement
Advertisement